<template>
    <div class="history position-relative">
        <div class="bg position-absolute w-100">
        </div>
        <div class="content-wrapper">
            <div class="title">
                {{ $t('dashboard.history.title') }}
            </div>
            <div class="balance">
                {{ $t('dashboard.history.balances') }}: <span class="token">{{ hetaTokensWallet.balance | formatCurrencyAmount('heta', '0') }} HETA Token</span>
            </div>
            <div class="header-table">
                <div class="upper d-flex justify-content-between">
                    <div>{{ $t('dashboard.history.currency') }}</div>
                    <div>HETA Token</div>
                </div>
                <div class="below d-flex justify-content-between">
                    <div>/ {{ $t('dashboard.history.time') }}</div>
                    <div>/ {{ $t('dashboard.history.bonus') }}</div>
                </div>
            </div>
            <div class="transaction-container" v-if="conversions.length > 0">
                <div class="transaction d-flex align-items-center" v-for="(conversion, index) in conversions" :class="{ 'line' : index < conversions.length-1 }">
                    <div class="transaction-wrapper w-100">
                        <div class="upper d-flex justify-content-between w-100">
                            <div class="left position-relative">
                                <img class="logo position-absolute" :src="conversion.currency | currencyIcon" alt=""> {{ conversion.currency | uppercase }} {{ conversion.currency_amount | formatCurrencyAmount(conversion.currency, '0')}}
                            </div>
                            <div class="right">
                                {{ conversion.token_amount | formatCurrencyAmount('heta', '0') }}
                            </div>
                        </div>
                        <div class="below d-flex justify-content-between w-100">
                            <div class="left">
                                {{ formatDate(conversion) }}
                            </div>
                            <div class="right">
                                {{ conversion.bonus_amount | formatCurrencyAmount('heta', '0') }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="not-found" v-else>
                <span class="iconmo-not-found not-found__icon"></span>
                <span class="not-found__text">{{ $t('dashboard.history.not_found_text') }}</span>
            </div>
        </div>
    </div>
</template>

<script>
  import History from '../../../home/components/Dashboard/History.vue';
  export default {
    extends: History,
  }
</script>

<style lang="scss" scoped>
    @import '../../../../sass/mobile/typoVariables';
    .history {
        background-color: #181a3a;
        @extend .Medium-14;
        // temporary
        padding: 20rem 0 30rem;
        .bg {
            z-index: -1;
            height: 247rem;
            opacity: 0.2;
            background-image: linear-gradient(172deg, #3023ae, rgba(160, 68, 207, 0.63) 48%, rgba(43, 38, 84, 0), #22244b, #181a3a);
        }
        .content-wrapper {
            .title {
                @extend .bold--20;
                color: $white;
                padding: 16.5rem 0 0 13rem;
            }
            .balance {
                padding: 20rem 0 0 13rem;
                color: #989898;
                font-size: $medium;
                .token {
                    font-size: $small;
                    font-weight: bold;
                    color: #fa7300;
                }
            }
            .header-table {
                margin-top: 21rem;
                background-color: #2f2f54;
                padding: 12rem 13rem;
                .upper {
                    font-size: $small;
                    font-weight: bold;
                    color: #818181;
                }
                .below {
                    font-size: $small;
                    color: #818181;
                }
            }
            .transaction-container {
                padding: 0 12rem;
                .transaction {
                    margin-top: 15rem;
                    margin-bottom: 0;
                    padding-bottom: 15rem;
                    height: 50rem;
                    .left {
                        padding-left: 20rem;
                    }
                    .upper {
                        font-size: $small;
                        font-weight: bold;
                        color: #cacaca;
                        .left {
                            .logo {
                                width: 15rem;
                                height: auto;
                                margin-left: -20rem;
                            }
                        }
                    }
                    .below {
                        margin-top: 4rem;
                        font-size: $small;
                        color: #818181;
                    }
                }
                .line {
                    border-bottom: 1rem solid #2f2f54
                }
            }
        }
    }
    .not-found {
        margin-top: 18rem;
        text-align: center;
    .not-found__icon {
        padding: 20rem;
        background-color: transparent;
        border-radius: 50%;
        font-size: 80rem;
        display: inline-block;
        margin-bottom: 8rem;
    }

    .not-found__text {
        display: block;
        font-size: $small;
        color: $thin_gray;
    }
  }
</style>